Bug 51135 - [Windows installer] Autoselect 32-bit JRE on 64-bit systems if 64-bit one is not available
[Windows installer] Autoselect 32-bit JRE on 64-bit systems if 64-bit one is ...
Status: RESOLVED FIXED
Product: Tomcat 7
Classification: Unclassified
Component: Packaging
7.0.12
PC Windows XP
: P2 enhancement (vote)
: ---
Assigned To: Tomcat Developers Mailing List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-04-28 17:57 UTC by Konstantin Kolinko
Modified: 2011-08-22 15:57 UTC (History)
0 users



Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Konstantin Kolinko 2011-04-28 17:57:17 UTC
Enhance the Windows installer for Apache Tomcat when running on 64-bit Windows to search for both the 64-bit and 32-bit JVMs,  and to select the 32-bit one if it is the only one installed in the system.

Discussed in the "(Issue) Tomcat 7.0.12 silent install" thread on users@,
http://marc.info/?t=130393025700005&r=1&w=2
http://markmail.org/thread/zsgioxmwcog4jkfc
Comment 1 Mark Thomas 2011-05-04 10:14:14 UTC
This has been fixed in trunk and will be included in 7.0.13 onwards.
Comment 2 Mark Thomas 2011-06-24 18:57:51 UTC
This has been proposed for back-port to 5.5.x and 6.0.x.
Comment 3 Mark Thomas 2011-08-22 15:57:37 UTC
This has been fixed in 6.0.x and 5.5.x.

It is included in 6.0.33 onwards and will be included in 5.5.34 onwards.